<!DOCTYPE html>
<html>
<head>
	<title>HW7.1</title>
</head>
<body>
	<script>
		/*	Дополнить функцию createNewUser() методами подсчета возраста пользователя и его паролем.
			Возьмите выполненное задание выше (созданная вами функция createNewUser()) и дополните ее следующим функционалом: 
			При вызове функция должна спросить у вызывающего дату рождения (текст в формате dd.mm.yyyy) и сохранить ее в поле birthday. 
			Создать метод getAge() который будет возвращать сколько пользователю лет. Создать метод getPassword(), 
			который будет возвращать первую букву имени пользователя в верхнем регистре, соединенную с фамилией (в нижнем регистре) 
			и годом рождения. (например, Ivan Kravchenko 13.03.1992 → Ikravchenko1992). 
			Вывести в консоль результат работы функции createNewUser(), а также функций getAge() и getPassword() созданного объекта. */

		class createNewUser extends Array {
			constructor(firstName, lastName, birthday) {
				super();
				this.firstName = firstName;
				this.lastName = lastName;
				this.birthday = birthday;
			}
			toString() {
				return `Привет ${this.firstName} ${this.lastName}, посмотри в консоль!`
			}
			getLogin(){
				if (this.firstName==""|| this.firstName==null){
					throw new Error("Ви не ввели ім'я")
				}else{
					return `${this.firstName[0]}${this.lastName}`.toLowerCase();
				}
			}
			getAge() {
				const birthArr = this.birthday.split('.');
				const birthDate = new Date(birthArr[2], parseInt(birthArr[1]) - 1, birthArr[0]);
				const now = new Date();
				let result = now.getFullYear() - birthDate.getFullYear();
				
				return now.setFullYear(1970) < birthDate.setFullYear(1970) ? result - 1 : result;
			}
			getPassword() {
				return this.firstName[0].toUpperCase() + this.lastName.toLowerCase() + this.birthday.slice(-4);
			}
		}
		let newUser = new createNewUser(prompt("Введите имя","Петя"), prompt("Введите фамилию","Глянцев"), prompt("Введите дару рождения","25.05.2000"));
		//let newUser = new createNewUser("Петя", "Глянцев", "10.02.2021");
		document.write(newUser);
		console.log(newUser);
		//console.log(newUser.getLogin());
		console.log(newUser.getAge());
		console.log(newUser.getPassword());
	</script>
</body>
</html>